<template>
  <ion-app>
    <ion-router-outlet />
  </ion-app>
</template>

<script setup lang="ts">
import { IonApp, IonRouterOutlet, onIonViewWillEnter, onIonViewDidEnter } from '@ionic/vue';
import { defineComponent, onMounted } from 'vue';
import { SplashScreen } from '@capacitor/splash-screen';



onMounted(async () => {
  //alert("Hello");
  /*
  await SplashScreen.show({
    showDuration: 2000,
    autoHide: true,
  });*/
});

onIonViewWillEnter(() => {
  console.log("Init On Mouting")
});
onIonViewDidEnter(() => {
});
</script>
